Bug 157251 - [new] security/dicewaregen - Diceware dictionary generator
Summary: [new] security/dicewaregen - Diceware dictionary generator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 17:10 UTC by Aldis Berjoza
Modified: 2011-05-24 09:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.07 KB, text/plain)
2011-05-22 17:10 UTC, Aldis Berjoza
no flags Details
p5-dicewaregen.shar (2.11 KB, application/x-shar)
2011-05-24 00:07 UTC, Aldis Berjoza
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2011-05-22 17:10:12 UTC
Dicewaregen is simple perl script that generated Diceware dictionaries, that
can be used to create secure passwords.

Dicewaregen relies on aspell, to make wordlist. Once you have wordlist you can
create Diceware dictionary. You can make few dictionaries using different
languages, merge them and then make Diceware dictionary.

More info about Diceware: http://world.std.com/~reinhold/diceware.html

WWW: http://hg.bsdroot.lv/aldis/dicewaregen/

Fix: Patch attached with submission follows:
Comment 1 Philippe Audeoud freebsd_committer 2011-05-23 09:25:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

I'll take it.
Comment 2 Philippe Audeoud freebsd_committer 2011-05-23 09:42:43 UTC
State Changed
From-To: open->feedback

I can not fetch 
http://files.bsdroot.lv/my/FreeBSD/distfiles/dicewaregen-1.0.tar.gz. 
Thanks to fix it.
Comment 3 Aldis Berjoza 2011-05-24 00:07:50 UTC
On Mon, 23 May 2011 08:42:43 GMT
jadawin@FreeBSD.org wrote:

> Synopsis: [new] security/dicewaregen - Diceware dictionary generator
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: jadawin
> State-Changed-When: Mon May 23 08:42:43 UTC 2011
> State-Changed-Why: 
> I can not fetch
> http://files.bsdroot.lv/my/FreeBSD/distfiles/dicewaregen-1.0.tar.gz.
> Thanks to fix it.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=157251

Sorry for long delayed answer... I updated port and did submit new shar
archive, but apparently my desktop Postfix configuration gone mad (at
some time) and none of my replies reached FreeBSD.org

Finally I gave-up using mutt & Postfix.... :/


I attached new shar.

in this version I fixed critical bug and added support for LaTeX output
(but you'll probably need TeXLive for it to be able to produce pdf/ps)

-- 
Aldis Berjoza
  http://www.bsdroot.lv/
Comment 4 Philippe Audeoud freebsd_committer 2011-05-24 09:35:51 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2011-05-24 09:36:04 UTC
jadawin     2011-05-24 08:35:26 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/p5-dicewaregen Makefile distinfo pkg-descr 
  Log:
  Dicewaregen is simple perl script that generated Diceware dictionaries, that
  can be used to create secure passwords.
  
  Dicewaregen relies on aspell, to make wordlist. Once you have wordlist you can
  create Diceware dictionary. You can make few dictionaries using different
  languages, merge them and then make Diceware dictionary.
  
  More info about Diceware: http://world.std.com/~reinhold/diceware.html
  
  WWW: http://hg.bsdroot.lv/aldis/dicewaregen/
  
  PR:             ports/157251
  Submitted by:   Aldis Berjoza <aldis at bsdroot.lv>
  
  Revision  Changes    Path
  1.1174    +1 -0      ports/security/Makefile
  1.1       +30 -0     ports/security/p5-dicewaregen/Makefile (new)
  1.1       +2 -0      ports/security/p5-dicewaregen/distinfo (new)
  1.1       +10 -0     ports/security/p5-dicewaregen/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"